common_args:
  training_type: "simulation"
  random_seed: 0
  
data_args:
  dataset: "wget"
  data_cache_dir: ~/fedgraphnn_data/
  part_file:  ~/fedgraphnn_data/partition

model_args:
  model_file_cache_folder: "./model_file_cache" # will be filled by the server automatically
  global_model_file_path: "./model_file_cache/global_model.pt"

environment_args:
  bootstrap: config/bootstrap.sh

train_args:
  federated_optimizer: "FedAvg"
  client_id_list: 
  client_num_in_total: 4
  client_num_per_round: 4
  comm_round: 100
  lr: 0.001
  server_lr: 0.001
  wd: 0.001
  ci: 0
  server_momentum: 0.9

validation_args:
  frequency_of_the_test: 1

device_args:
  worker_num: 4
  using_gpu: false
  gpu_mapping_file: config/gpu_mapping.yaml
  gpu_mapping_key: mapping_fedgraphnn_sp


comm_args:
  backend: "MPI"
  is_mobile: 0


tracking_args:
   # When running on MLOps platform(open.fedml.ai), the default log path is at ~/.fedml/fedml-client/fedml/logs/ and ~/.fedml/fedml-server/fedml/logs/
  enable_wandb: false
  wandb_key: ee0b5f53d949c84cee7decbe7a629e63fb2f8408
  wandb_project: fedml
  wandb_name: fedml_torch_moleculenet
